

//去左空格; 
function ltrim(s){ 
return s.replace( /^\s*/, ""); 
} 
//去右空格; 
function rtrim(s){ 
return s.replace( /\s*$/, ""); 
} 
//去左右空格; 
function trim(s){ 
return rtrim(ltrim(s)); 
}

/*
==================================================================
函 数 名：text_keypress
输    入：intType	文本框要控制输入的类型，1表示只能输入数字，2表示只能输入数字、小数点和正负号
输    出：返回Boolean类型
功能描述：控制文本框只能输入特定字符
创 建 人：黄勇炼

创建时间：2005-11-18
=================================================================
*/
function text_keypress(intType)
{
	switch(intType)
	{
		case 1:
		{
			if((event.keyCode>=48&&event.keyCode<=57)||event.keyCode==8||event.keyCode==9||event.keyCode==13)
				return true;
			else
				return false;
			break;
		}
		case 2:
		{
			if((event.keyCode>=48&&event.keyCode<=57)||event.keyCode==8||event.keyCode==9||event.keyCode==13||event.keyCode==46)
				return true;
			else
				return false;
			break;
		}
	}
}
